Show / Hide Table of Contents

# Struct RaptureLogModule

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI.Misc

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct RaptureLogModule

### Fields

| Improve this Doc View Source

#### ChatTabs

##### Declaration

    public byte *ChatTabs

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### ExcelModuleInterface

##### Declaration

    public ExcelModuleInterface*ExcelModuleInterface

##### Field Value

Type | Description
--- | ---
ExcelModuleInterface* |

| Improve this Doc View Source

#### LogModule

##### Declaration

    public LogModule LogModule

##### Field Value

Type | Description
--- | ---
LogModule |

| Improve this Doc View Source

#### MsgSourceArray

##### Declaration

    public LogMessageSource*MsgSourceArray

##### Field Value

Type | Description
--- | ---
LogMessageSource* |

| Improve this Doc View Source

#### MsgSourceArrayLength

##### Declaration

    public int MsgSourceArrayLength

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### RaptureTextModule

##### Declaration

    public RaptureTextModule*RaptureTextModule

##### Field Value

Type | Description
--- | ---
RaptureTextModule* |

### Methods

| Improve this Doc View Source

#### GetContentIdForLogMessage(Int32)

##### Declaration

    public ulong GetContentIdForLogMessage(int index)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | index |

##### Returns

Type | Description
--- | ---
System.UInt64 |

| Improve this Doc View Source

#### GetLogMessage(Int32, Utf8String*)

##### Declaration

    public bool GetLogMessage(int index, Utf8String*str)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | index |
Utf8String* | str |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### GetLogMessage(Int32, out Byte[])

##### Declaration

    public bool GetLogMessage(int index, out byte[] message)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | index |
System.Byte[] | message |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### GetLogMessageDetail(Int32, out Byte[], out Byte[], out Int16, out UInt32)

##### Declaration

    public bool GetLogMessageDetail(int index, out byte[] sender, out byte[] message, out short logKind, out uint time)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | index |
System.Byte[] | sender |
System.Byte[] | message |
System.Int16 | logKind |
System.UInt32 | time |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### GetLogMessageDetail(Int32, Int16*, Utf8String*, Utf8String*, UInt32*)

##### Declaration

    public bool GetLogMessageDetail(int index, short *logKind, Utf8String*sender, Utf8String*message, uint *timeStamp)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | index |
System.Int16* | logKind |
Utf8String* | sender |
Utf8String* | message |
System.UInt32* | timeStamp |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### ShowLogMessage(UInt32)

##### Declaration

    public void ShowLogMessage(uint logMessageID)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | logMessageID |